Assignee: Dominic Cleal   

Category: Puppet   
Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Reported in #2085:

When $confdir variable is used in puppet.conf, no environment is available at all - rake puppet:import:puppet_classes

RAILS_ENV=production returns empry array.

Sample string in puppet.conf from Puppet Docs: modulepath = $confdir/environments/$environment/modules:$confdir/modules

http://docs.puppetlabs.com/guides/environment.html

Associated revisions

Revision ce3bbf11 - 01/08/2013 04:02 AM - Dominic Cleal

fixes #2099 - interpolate $confdir if $environment not used

Revision 4e24d8c8 - 01/08/2013 04:02 AM - Raffael Schmid

fixes #2099 - fix handling of multiple module paths

Replace every occurrence of $confdir, not only the first one

History

#1 - 01/07/2013 10:55 AM - Dominic Cleal

- Status changed from New to Ready For Testing

- Target version set to 1.1

https://github.com/theforeman/smart-proxy/pull/55

#2 - 01/08/2013 06:11 AM - Dominic Cleal

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset ce3bbf116ce0f03425bf062e26f1663310f54bf2.
